Bug 4823 - /boot incorrect rewrite
: /boot incorrect rewrite
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-24 16:05 MSK by Vladimir Potapov
Modified: 2015-05-05 12:45 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-12-24 16:05:03 MSK
1) Set up R5x64 with EFI and separate /boot
2) Set up R5i586, skip grub setup in installer 
3) boot fail :-(
Comment 1 Konstantin Vlasov 2015-02-11 20:13:49 MSK
Source of the problem: identical names for 32- and 64-bit kernel and initrd, so the second installation overwrites these files in the shared /boot directory, and the first system becomes unbootable. Should be reproduced in both EFI and BIOS.

We need to add architecture to the kernel/initrd file names, e.g. like that:
vmlinuz-3.18.3-nrjQL-desktop-1rosa-x86_64
vmlinuz-3.18.3-nrjQL-desktop-1rosa-i586
Comment 2 Vladimir Potapov 2015-05-05 12:45:46 MSD
The issue fixed in last update